Package io.vertx.amqp

## Class AmqpSenderOptions

- java.lang.Object
- - io.vertx.amqp.AmqpSenderOptions

-     public class AmqpSenderOptions
      extends Object

  Configures the AMQP Sender.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AmqpSenderOptions()` |
    `AmqpSenderOptions​(AmqpSenderOptions other)` |
    `AmqpSenderOptions​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AmqpSenderOptions` | `addCapability​(String capability)` | Adds a capability to be set on the sender target terminus.
    `List<String>` | `getCapabilities()` | Gets the list of capabilities to be set on the sender target terminus.
    `String` | `getLinkName()` |
    `boolean` | `isAutoDrained()` | Get whether the link will automatically be marked drained after the send queue drain handler fires in drain mode.
    `boolean` | `isDynamic()` |
    `AmqpSenderOptions` | `setAutoDrained​(boolean autoDrained)` | Sets whether the link is automatically marked drained after the send queue drain handler callback returns if the receiving peer requested that credit be drained.
    `AmqpSenderOptions` | `setCapabilities​(List<String> capabilities)` | Sets the list of capabilities to be set on the sender target terminus.
    `AmqpSenderOptions` | `setDynamic​(boolean dynamic)` | Sets whether the Target terminus to be used should specify it is 'dynamic', requesting the peer creates a node and names it with a generated address.
    `AmqpSenderOptions` | `setLinkName​(String linkName)` |
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmqpSenderOptions

          public AmqpSenderOptions()

    - #### AmqpSenderOptions

          public AmqpSenderOptions​(AmqpSenderOptions other)

    - #### AmqpSenderOptions

          public AmqpSenderOptions​(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getLinkName

          public String getLinkName()

    - #### setLinkName

          public AmqpSenderOptions setLinkName​(String linkName)

    - #### isDynamic

          public boolean isDynamic()

      Returns:
        whether the sender is using a dynamic address.

    - #### setDynamic

          public AmqpSenderOptions setDynamic​(boolean dynamic)

      Sets whether the Target terminus to be used should specify it is 'dynamic', requesting the peer creates a node and names it with a generated address.

      The address provided by the peer can then be inspected using the `AmqpSender.address()` method on the `AmqpSender` received once opened.

      Parameters:
        `dynamic` - true if the sender should request dynamic creation of a node and address to send to
      Returns:
        the options

    - #### isAutoDrained

          public boolean isAutoDrained()

      Get whether the link will automatically be marked drained after the send queue drain handler fires in drain mode.
      Returns:
        whether the link will automatically be drained after the send queue drain handler fires in drain mode
      See Also:
        `setAutoDrained(boolean)`

    - #### setAutoDrained

          public AmqpSenderOptions setAutoDrained​(boolean autoDrained)

      Sets whether the link is automatically marked drained after the send queue drain handler callback returns if the receiving peer requested that credit be drained.

      `true` by default.

      Parameters:
        `autoDrained` - whether the link will automatically be drained after the send queue drain handler fires in drain mode
      Returns:
        the options

    - #### getCapabilities

          public List<String> getCapabilities()

      Gets the list of capabilities to be set on the sender target terminus.
      Returns:
        the list of capabilities, empty if none.

    - #### setCapabilities

          public AmqpSenderOptions setCapabilities​(List<String> capabilities)

      Sets the list of capabilities to be set on the sender target terminus.
      Parameters:
        `capabilities` - the set of target capabilities.
      Returns:
        the options

    - #### addCapability

          public AmqpSenderOptions addCapability​(String capability)

      Adds a capability to be set on the sender target terminus.
      Parameters:
        `capability` - the target capability to add, must not be `null`
      Returns:
        the options